package cz.jzitnik.game.sprites;

import cz.jzitnik.tui.Sprite;

import java.util.HashMap;

public class Dye extends Sprite<Dye.DyeState> {
    public enum DyeState {
        WHITE, LIGHT_GRAY, GRAY, BLACK, BROWN, RED, ORANGE, YELLOW, LIME, GREEN, CYAN, LIGHT_BLUE, BLUE, PURPLE,
        MAGENTA, PINK
    }

    public Dye() {
        loadResources(new HashMap<>() {
            {
                put(DyeState.WHITE, "items/white_dye.ans");
                put(DyeState.LIGHT_GRAY, "items/light_gray_dye.ans");
                put(DyeState.GRAY, "items/gray_dye.ans");
                put(DyeState.BLACK, "items/black_dye.ans");
                put(DyeState.BROWN, "items/brown_dye.ans");
                put(DyeState.RED, "items/red_dye.ans");
                put(DyeState.ORANGE, "items/orange_dye.ans");
                put(DyeState.YELLOW, "items/yellow_dye.ans");
                put(DyeState.LIME, "items/lime_dye.ans");
                put(DyeState.GREEN, "items/green_dye.ans");
                put(DyeState.CYAN, "items/cyan_dye.ans");
                put(DyeState.LIGHT_BLUE, "items/light_blue_dye.ans");
                put(DyeState.BLUE, "items/blue_dye.ans");
                put(DyeState.PURPLE, "items/purple_dye.ans");
                put(DyeState.MAGENTA, "items/magenta_dye.ans");
                put(DyeState.PINK, "items/pink_dye.ans");
            }
        }, DyeState.class);
    }

    @Override
    public String getSprite() {
        return getSprite(DyeState.WHITE);
    }

    @Override
    public String getSprite(DyeState key) {
        return getResource(key);
    }
}
